summaryrefslogtreecommitdiffstats
path: root/compiler
diff options
context:
space:
mode:
Diffstat (limited to 'compiler')
-rwxr-xr-xcompiler17
1 files changed, 17 insertions, 0 deletions
diff --git a/compiler b/compiler
new file mode 100755
index 0000000..0655a11
--- /dev/null
+++ b/compiler
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+TESTDIR=${PWD}/test
+
+pushd src >/dev/null
+python __init__.py < ${TESTDIR}/$1.t > ${TESTDIR}/$1.S
+
+pushd emu >/dev/null
+make
+./riscas ${TESTDIR}/$1.S ${TESTDIR}/$1.bin
+./risci -d ${TESTDIR}/$1.bin
+ret=$?
+popd >/dev/null
+
+popd >/dev/null
+
+exit ${ret}